> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# コンテンツをBox Noteに変換

> サポートされているソースコンテンツからBox Note (`.boxnote`ファイル) を作成します。サポートされている形式については、`content_format`フィールドを参照してください。

<Note>
  「[Box SDKのバージョニング戦略](/ja/guides/tooling/sdks/sdk-versioning/)について詳しく学ぶ。」
</Note>


## OpenAPI

````yaml box-openapi-v2026.0-jp.json POST /notes/convert
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2026.0'
  x-box-commit-hash: 92c221bf9d
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Automateワークフロー
    description: Automateワークフローのアクションをリストアップして手動で開始するためのエンドポイント。
    x-box-tag: automate_workflows
  - name: Box Noteに変換
    description: サポート対象のソースコンテンツ (マークダウンなど) からBox Notesを作成します。
    x-box-tag: notes
  - name: Query
    description: Query for your items.
    x-box-tag: query
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /notes/convert:
    post:
      tags:
        - Box Noteに変換
      summary: コンテンツをBox Noteに変換
      description: >-
        サポートされているソースコンテンツからBox Note (`.boxnote`ファイル)
        を作成します。サポートされている形式については、`content_format`フィールドを参照してください。
      operationId: post_notes_convert_v2026.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NotesConvertRequestBody'
      responses:
        '201':
          description: メモが正常に作成されました。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotesConvertResponse'
        '400':
          description: >-
            リクエスト本文の形式が正しくない場合、スキーマの検証に失敗した場合、必須フィールドが入力されていない場合に返されます。親フォルダがない場合や不明な場合、このステータスで示されることはありません
            (`404`を参照)。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '401':
          description: '`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: 親フォルダにファイルを作成する権限が認証済みユーザーにない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: 親フォルダが存在しないか、ユーザーが親フォルダにアクセスできない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '409':
          description: 事前チェックに失敗した場合に返されます (名前の競合など)。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '413':
          description: リクエストのペイロードが大きすぎる場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '422':
          description: コンテンツをメモに変換できなかった場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '500':
          description: 予期しないサーバーエラーが発生した場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '501':
          description: この操作が実装されていないか、サーバー上でまだ利用できない場合に返されます (Notesサービスへの転送がまだ有効化の途中の場合など)。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: 予期しないクライアントエラーが発生した場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: dotnet
          label: コンテンツをBox Noteに変換
          source: >-
            await client.Notes.CreateNoteConvertV2026R0Async(requestBody: new
            NotesConvertRequestBodyV2026R0(content: markdownContent,
            contentFormat:
            NotesConvertRequestBodyV2026R0ContentFormatField.Markdown, parent:
            new FolderReferenceV2026R0(id: "0"), name: noteName));
        - lang: swift
          label: コンテンツをBox Noteに変換
          source: >-
            try await client.notes.createNoteConvertV2026R0(requestBody:
            NotesConvertRequestBodyV2026R0(content: markdownContent,
            contentFormat:
            NotesConvertRequestBodyV2026R0ContentFormatField.markdown, parent:
            FolderReferenceV2026R0(id: "0"), name: noteName))
        - lang: java
          label: コンテンツをBox Noteに変換
          source: >-
            client.getNotes().createNoteConvertV2026R0(new
            NotesConvertRequestBodyV2026R0.Builder(markdownContent, new
            FolderReferenceV2026R0("0"),
            noteName).contentFormat(NotesConvertRequestBodyV2026R0ContentFormatField.MARKDOWN).build())
        - lang: node
          label: コンテンツをBox Noteに変換
          source: |-
            await client.notes.createNoteConvertV2026R0({
              content: markdownContent,
              contentFormat: 'markdown' as NotesConvertRequestBodyV2026R0ContentFormatField,
              parent: new FolderReferenceV2026R0({ id: '0' }),
              name: noteName,
            } satisfies NotesConvertRequestBodyV2026R0Input);
        - lang: python
          label: コンテンツをBox Noteに変換
          source: |-
            client.notes.create_note_convert_v2026_r0(
                markdown_content,
                FolderReferenceV2026R0(id="0"),
                note_name,
                content_format=CreateNoteConvertV2026R0ContentFormat.MARKDOWN,
            )
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2026.0'
      example: '2026.0'
  schemas:
    NotesConvertRequestBody:
      description: ソースコンテンツをBox Noteファイルに変換するためのリクエスト本文。
      type: object
      properties:
        content:
          description: メモに変換するコンテンツ。サポートされている形式については、`content_format`フィールドを参照してください。
          example: '# My note\n\nHello from Markdown.'
          maxLength: 1048576
          type: string
        content_format:
          description: 変換するコンテンツの形式。
          type: string
          example: markdown
          enum:
            - markdown
        parent:
          $ref: '#/components/schemas/FolderReference'
        name:
          description: 作成されるメモの名前。`.boxnote`拡張子は自動的に付加されます。
          type: string
          example: Quarterly plan
          maxLength: 247
          minLength: 1
      additionalProperties: false
      required:
        - content
        - content_format
        - parent
        - name
      title: Notesへの変換のリクエスト本文
      x-box-tag: notes
    NotesConvertResponse:
      description: 作成されたBox Noteファイルを特定します。
      type: object
      properties:
        type:
          description: Boxリソースの種類。Boxファイルの場合は常に`file`。
          type: string
          example: file
          enum:
            - file
        id:
          description: 作成された`.boxnote`ファイルのBoxファイルID。
          type: string
          example: '1234567890'
      additionalProperties: false
      required:
        - type
        - id
      title: Notesへの変換のレスポンス
      x-box-resource-id: notes_convert_created_file_v2026.0
      x-box-tag: notes
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2026.0
    FolderReference:
      description: フォルダの参照。
      type: object
      properties:
        type:
          description: 値は常に`folder`になります。
          type: string
          example: folder
          enum:
            - folder
          nullable: false
        id:
          description: フォルダのID。
          type: string
          example: '42037322'
      required:
        - type
        - id
      title: フォルダの参照
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````